#include <stdio.h>

int main() {
	float f = 0.0f;
	double d = 0.0;
	long double ld = 0.0l;
	
	int i;
	
	for (i = 0; i< 1000000; i++){
		f += 0.0001f;
		d += 0.0001;
		ld += 0.0001l;
	}
	
	printf("f = %f\n", f);
	printf("d = %f\n", d);
	printf("ld = %lf\n", ld);
	
	return 0;

}